#
# spec file for package gnome-desktop (Version 2.29.92)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gnome-desktop
Version:        2.29.92
Release:        1
License:        GFDLv1.1 ; GPLv2+ ; LGPLv2.1+
Summary:        The GNOME Desktop API Library
Url:            http://www.gnome.org
Group:          System/GUI/GNOME
Source:         %{name}-%{version}.tar.bz2
Source99:       baselibs.conf
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch1:         X-KDE-SubstituteUID.dif
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch2:         gnome-desktop-desktop.patch
# PATCH-FEATURE-OPENSUSE gnome-desktop-recently-used-apps.patch -- Add launched .desktop files to recently used apps.
Patch3:         gnome-desktop-recently-used-apps.patch
# PATCH-FEATURE-OPENSUSE gnome-desktop-fate300461-desktop-gettext.patch fate300461 vuntz@novell.com -- Look for translation of desktop entry strings via gettext
Patch5:         gnome-desktop-fate300461-desktop-gettext.patch
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  startup-notification-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
Requires:       %{name}-lang = %{version}
Obsoletes:      gnome-core
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the libgnome-desktop library that contains APIs
that really belong in libgnome/libgnomeui but have not seen enough
testing or development to be considered stable. Use them at your own
risk.

Also contained here are documents installed as part of the core GNOME
distribution: the GPL, GNOME's .desktop files, the gnome-about program,
some man pages, and GNOME's core graphics files and icons.

%package -n libgnome-desktop-2-17
License:        GFDLv1.1 ; GPLv2+ ; LGPLv2.1+
Summary:        The GNOME Desktop API Library
Group:          System/GUI/GNOME
Requires:       %{name}-lang = %{version}

%description -n libgnome-desktop-2-17
This package contains the libgnome-desktop library that contains APIs
that really belong in libgnome/libgnomeui but have not seen enough
testing or development to be considered stable. Use them at your own
risk.

Also contained here are documents installed as part of the core GNOME
distribution: the GPL, GNOME's .desktop files, the gnome-about program,
some man pages, and GNOME's core graphics files and icons.

%package devel
License:        LGPLv2.1+
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/GNOME
Requires:       gconf2-devel
Requires:       gtk2-devel
Requires:       libgnome-desktop-2-17 = %{version}
Requires:       startup-notification-devel
Obsoletes:      gnome-desktop-doc <= 2.25.90
Provides:       gnome-desktop-doc = 2.25.90

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%lang_package
%prep
%setup -q
translation-update-upstream
%patch1
%patch2 -p0
%patch3 -p1
%patch5 -p0

%build
%configure --with-pic\
	--disable-static\
	--disable-scrollkeeper\
	--with-gnome-distributor="SUSE"\
        --disable-date-in-gnome-version
make %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} <= 1110
%{__rm} %{buildroot}%{_datadir}/locale/ig/LC_MESSAGES/*
%endif
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%find_lang %{name}-2.0
%find_lang fdl %{name}-2.0.lang
%find_lang gpl %{name}-2.0.lang
%find_lang lgpl %{name}-2.0.lang
%suse_update_desktop_file gnome-about Documentation
%{__rm} -vf %{buildroot}%{_libdir}/*.la
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%post -n libgnome-desktop-2-17 -p /sbin/ldconfig

%postun -n libgnome-desktop-2-17 -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING COPYING-DOCS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/gnome-about.desktop
%{_datadir}/gnome-about
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/*.xpm
%doc %{_mandir}/man?/*.*

%files -n libgnome-desktop-2-17
%defattr(-, root, root)
%doc COPYING.LIB
%{_datadir}/libgnome-desktop
%{_libdir}/*.so.*

%files lang -f %{name}-2.0.lang

%files devel
%defattr (-, root, root)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/gnome-desktop-2.0
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/gnome-desktop

%changelog
